/** write less here**/
.activity-components-tab-v7 .tab-container {
  margin-left: auto;
  margin-right: auto;
}
.activity-components-tab-v7 .tab-btn-content {
  font-size: 0;
  border-bottom: 2px solid rgba(0, 0, 0, 0.2);
}
.activity-components-tab-v7 .tab-btn-content .tab-btn {
  display: inline-block;
  height: 60px;
  padding: 0 16px;
  cursor: pointer;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='1'] {
  display: none;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='1'] .tab-btn {
  width: 100%;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='2'] .tab-btn {
  width: 50%;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='3'] .tab-btn {
  width: 33.33%;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='4'] .tab-btn {
  width: 25%;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='5'] .tab-btn {
  width: 20%;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='6'] .tab-btn {
  width: 16.66666666666667%;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='7'] .tab-btn {
  width: 14.28571428571429%;
}
.activity-components-tab-v7 .tab-btn-content[data-cols='8'] .tab-btn {
  width: 12.5%;
}
.activity-components-tab-v7 .tab-btn-content .tab-btn .tab-title {
  bottom: -1px;
  position: relative;
  font-size: 18px;
  color: #252B3A;
  text-align: center;
  line-height: 60px;
  height: 60px;
  overflow: hidden;
  max-width: 118px;
  margin: auto;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.activity-components-tab-v7 .tab-btn-content .tab-btn-selected .tab-title {
  color: #C7000B;
}
.activity-components-tab-v7 .tab-btn-content .tab-title span {
  position: relative;
  overflow: hidden;
  text-overflow: ellipsis;
}
.activity-components-tab-v7 .tab-btn-content .tab-title span:after {
  position: absolute;
  content: '';
  width: 0;
  height: 3px;
  background-color: #C7000B;
  top: 37px;
  left: 50%;
  transition: all 0.3s;
  transform: translateX(-50%);
}
.activity-components-tab-v7 .tab-btn-content .tab-btn-selected .tab-title span:after {
  width: 100%;
}
.activity-components-tab-v7 .tab-btn-content .tab-btn .tab-detail {
  height: 16px;
  font-size: 12px;
  font-weight: 400;
  color: #575D6C;
  line-height: 16px;
  margin-top: 8px;
  opacity: 0;
  text-align: center;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  white-space: normal;
}
.activity-components-tab-v7 .tab-content {
  height: 0;
  overflow: hidden;
  width: 100%;
}
.activity-components-tab-v7 .tab-content.active {
  height: auto;
  overflow: visible;
}
.activity-components-tab-v7 .scroll-modal {
  display: none;
}
.activity-components-tab-v7 .tab-container .activity-component-section {
  padding-top: 24px;
  padding-bottom: 24px;
}
.activity-components-tab-v7 .tab-container .activity-component-section.no-gap-top {
  padding-top: 0;
}
.activity-components-tab-v7 .tab-container .activity-component-section.no-gap-bottom {
  padding-bottom: 0;
}
@media (max-width: 979px) {
  .activity-components-tab-v7 .tab-btn-content {
    border-bottom: 0;
    background-color: #fff;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.1);
    height: 44px;
    overflow: hidden;
    position: relative;
    z-index: 1;
  }
  .activity-components-tab-v7 .scroll-modal {
    position: absolute;
    display: none;
    z-index: 2;
    top: 0;
    width: 20px;
    height: 44px;
  }
  .activity-components-tab-v7 .scroll-modal.scroll-modal-left {
    left: 0;
    background-image: linear-gradient(90deg, #ffffff 30%, transparent);
    background-image: -webkit-gradient(linear, left top, right top, from(#ffffff), to(rgba(255, 255, 255, 0)));
    background-image: linear-gradient(90deg, #ffffff 0, rgba(255, 255, 255, 0));
  }
  .activity-components-tab-v7 .scroll-modal.scroll-modal-right {
    right: 0;
    background-image: -webkit-gradient(linear, left top, right top, from(rgba(255, 255, 255, 0)), to(#ffffff));
    background-image: linear-gradient(90deg, rgba(255, 255, 255, 0) 0, #ffffff);
  }
  .activity-components-tab-v7 .tab-wapper-content {
    overflow-x: scroll;
    overflow-y: hidden;
    white-space: nowrap;
  }
  .activity-components-tab-v7 .tab-btn-content .tab-btn {
    width: auto!important;
  }
  .activity-components-tab-v7 .tab-btn-content .tab-btn {
    height: 44px;
  }
  .activity-components-tab-v7 .tab-btn-content .tab-btn .tab-title {
    font-size: 14px;
    line-height: 44px;
    height: 44px;
  }
  .activity-components-tab-v7 .tab-btn-content .tab-title span:after {
    height: 2px;
    top: 27px;
  }
  .activity-components-tab-v7 .tab-container .activity-component-section {
    padding-top: 16px;
    padding-bottom: 16px;
  }
  .activity-components-tab-v7 .tab-container .activity-component-section.no-gap-top {
    padding-top: 0;
  }
  .activity-components-tab-v7 .tab-container .activity-component-section.no-gap-bottom {
    padding-bottom: 0;
  }
  .activity-tab-container .activity-component-section.activity-component-tab-container {
    padding-left: 0;
    padding-right: 0;
  }
  .activity-tab-container .tab-head-container {
    padding-left: 15px;
    padding-right: 15px;
  }
}
